import { jsonResponse } from "../../common.js";

export async function onRequestGet(context: RequestContext) {
  const { results } = await context.env.D1.prepare(
    "SELECT created_at, destination, path FROM short_links WHERE user = ?;",
  )
    .bind(context.data.current_user.id)
    .all();

  return jsonResponse(JSON.stringify(results));
}
